<?php

//* Load the Genesis core files
include_once( get_template_directory() . '/lib/init.php' );

//* Child theme Definitions
define( 'CHILD_THEME_NAME', __( 'Genesis Child Theme', 'bucurion' ) );
define( 'CHILD_THEME_URL', 'http://bucuion.ro' );
define( 'CHILD_THEME_VERSION', '1.0' );

//* Add HTML5 markup structure
add_theme_support( 'html5' );

//* Add HTML5 markup structure
add_theme_support( 'genesis-responsive-viewport' );


//* Add support for 3-column footer widgets *//
add_theme_support( 'genesis-footer-widgets', 3 );


// Register responsive menu script
	add_action( 'wp_enqueue_scripts', 'prefix_enqueue_scripts' );
	
	// Enqueue custom javascript
	function prefix_enqueue_scripts() {
	    
	 	wp_enqueue_style( 'font-awesome', get_stylesheet_directory_uri() . '/lib/css/font-awesome.min.css' );
	
	}	  


//* Customize the entry meta in the entry header (requires HTML5 theme support)
	add_filter( 'genesis_post_info', 'sp_post_info_filter' );
	function sp_post_info_filter($post_info) {
		$post_info = '<i class="fa fa-clock-o"></i> [post_date] - <i class="fa fa-user"></i> [post_author_posts_link] in <i class="fa fa-folder-open"></i> [post_categories before=" "] - <i class="fa fa-comment"></i> [post_comments] [post_edit]';
		return $post_info;
	}	
	
	 /** Customize the post meta function */
	add_filter( 'genesis_post_meta', 'crunchify_post_meta_filter' );
	function crunchify_post_meta_filter($post_meta) {
	if ( !is_page() && !is_home() && !is_front_page() && !is_archive()) {
		$post_meta = '<i class="fa fa-tags"></i> [post_tags before=" "]';
		return $post_meta;
	}}





/** Register Utility Bar Widget Areas. */

genesis_register_sidebar( array(
'id' => 'utility-bar-left',
'name' => __( 'Utility Bar Left', 'theme-prefix' ),
'description' => __( 'This is the left utility bar above the header.', 'theme-prefix' ),
) );

genesis_register_sidebar( array(
'id' => 'utility-bar-right',
'name' => __( 'Utility Bar Right', 'theme-prefix' ),
'description' => __( 'This is the right utility bar above the header.', 'theme-prefix' ),
) );


add_action( 'genesis_before_header', 'utility_bar' );
/**
* Add utility bar above header.
*
* @author Carrie Dils
* @copyright Copyright (c) 2013, Carrie Dils
* @license GPL-2.0+
*/
function utility_bar() {
 
	echo '<div class="utility-bar"><div class="wrap">';
 
	genesis_widget_area( 'utility-bar-left', array(
		'before' => '<div class="utility-bar-left">',
		'after' => '</div>',
	) );
 
	genesis_widget_area( 'utility-bar-right', array(
		'before' => '<div class="utility-bar-right">',
		'after' => '</div>',
	) );
 
	echo '</div></div>';
 
}




/** Add support for post thumbnails */
set_post_thumbnail_size( 300, 165, TRUE );

//* Do NOT include the opening php tag shown above. Copy the code shown below.

//* Add new featured image sizes
add_image_size( 'home-bottom', 150, 100, TRUE );
add_image_size( 'home-top', 400, 200, TRUE );



/** Remove Edit Link */
add_filter( 'edit_post_link', '__return_false' );


/** Add custom post image above post title */
add_action( 'genesis_before_post_content', 'generate_post_image', 5 );
function generate_post_image() {

	if ( is_page() || ! genesis_get_option( 'content_archive_thumbnail' ) )
		return;

	if ( $image = genesis_get_image( array( 'format' => 'url', 'size' => genesis_get_option( 'image_size' ) ) ) ) {
		printf( '<a href="%s" rel="bookmark"><img class="post-image" src="%s" alt="%s" /></a>', get_permalink(), $image, the_title_attribute( 'echo=0' ) );
	}

}





